Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 729100 - sci-geosciences/mapserver-7.2.2[proj] relies on deprecated proj_api.h
Summary: sci-geosciences/mapserver-7.2.2[proj] relies on deprecated proj_api.h
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Sci-geo Project
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: PROJ-8
  Show dependency tree
 
Reported: 2020-06-22 08:40 UTC by Andreas Sturmlechner
Modified: 2020-07-09 00:32 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2020-06-22 08:40:52 UTC
Package needs to port away from it soon.
Comment 1 Sam James archtester gentoo-dev Security 2020-07-02 23:59:31 UTC
This will be gone shortly, working on this ebuild overall.
Comment 2 Larry the Git Cow gentoo-dev 2020-07-09 00:32:45 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=18c6a60dd2029db1fde5b5078d2647dc4daf1d55

commit 18c6a60dd2029db1fde5b5078d2647dc4daf1d55
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2020-07-06 11:25:39 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2020-07-09 00:32:26 +0000

    sci-geosciences/mapserver: security bump to 7.6.0
    
    Changes:
    * Bump to 7.6.0
    * Add PHP 7.x support, new module w/ multiple builds
    * Add Python 3.x, multiple builds
    * Drop old Proj compatibility workaround
    * Tidy up plenty of dependencies
    * Use sub-slot operator where appropriate
    * Use php-ext-source-r3's functions to simplify ebuild
    * Modernise as much as possible, bar EAPI 7 because
      of depend.apache.
    
    Bug: https://bugs.gentoo.org/688290
    Closes: https://bugs.gentoo.org/649772
    Closes: https://bugs.gentoo.org/659260
    Closes: https://bugs.gentoo.org/666054
    Closes: https://bugs.gentoo.org/729100
    Package-Manager: Portage-2.3.103, Repoman-2.3.22
    Signed-off-by: Sam James <sam@gentoo.org>

 sci-geosciences/mapserver/Manifest               |   1 +
 sci-geosciences/mapserver/mapserver-7.6.0.ebuild | 289 +++++++++++++++++++++++
 sci-geosciences/mapserver/metadata.xml           |   6 +-
 3 files changed, 293 insertions(+), 3 deletions(-)